Subject: Re: [PATCH v3 01/10] command-list.txt: sort with "LC_ALL=C sort"

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Nov 2021 15:45:17 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> In a subsequent commit I'll change generate-cmdlist.sh to use C sort
> order, and without this change we'd be led to believe that that change
> caused a meaningful change in the output,

What I found misleading in this sentence (which hasn't changed after
I pointed it out in the previous iterations) is that
command-list.txt is an input file, and if the sort order used in the
script that reads this to produce some other file as its output
changes, nobody will be "led to believe" anything.  Not unless/until
which output file to look at and compare between revisions.

Is this talking about the order of entries in command-list.h file?

Also, if the script sorts the input, whether it is in C locale or
other locale, it would not matter how the input originally is
sorted, as the input does not have duplicated entries to make sort
stability matter, no?